#ifndef PROGRESSBAR_WIDGET_H
#define PROGRESSBAR_WIDGET_H 

#include <QApplication>
#include <QWidget>
#include <QDialog>
#include <QLabel>
#include <QDialog>
#include <QGridLayout>
#include <QProgressBar>
#include <QEvent>

class ProgressBarWidget : public QDialog
{
	Q_OBJECT
	public:
		ProgressBarWidget(QWidget* parent, QString message, int maxval);
		void SetProgress(int value);
		void SetMessage(QString message);
		void SetAppName(QString appn);
		void SetMaximumValue(int maxval);
		void SetDetailMaximumValue(int maxval);
		void SetDetailProgress(int value);
		void ResetDetailProgress();
		int DetailProgressValue();
		
	public slots:
		void UpdateProgressDetail();
		
	private:
		QProgressBar* pbar/*, *pbardetail*/;
		QLabel *text;
		QLabel *appname;
};


#endif

