#ifndef APPINFO_H
#define APPINFO_H

#include <TAppInfo>
#include <quappdbuscontroller.h>

class BrowserTree;

class AppInfo
{
public:
    explicit AppInfo() {}

    explicit AppInfo(const TAppInfo& ta) {
        tai = ta;
    }

    explicit AppInfo(const QuAppInfo &ai){
        qai = ai;
    }

    bool isTAppI()  {
        return !tai.isEmpty();
    }

    bool isQAppI() const {
        return qai.args().size() > 0;
    }

    bool isEmpty() {
        return !isTAppI() && !isQAppI();
    }

    TAppInfo tai;
    QuAppInfo qai;
};
#endif // APPINFO_H
